#!/usr/bin/perl -w 
use DBI; 
##use strict; 
print "Content-type: text/html; charset=utf-8\n\n"; 

do 'admin/dbpars.pl'; 

$dbh = DBI->connect("DBI:mysql:$database:$host:$port",$user,$pass);

$dbh->do("DROP TABLE  $_table");
$dbh->do("CREATE TABLE $_table (
	id  INT AUTO_INCREMENT PRIMARY KEY,
	id_folder TINYINT,
	name CHAR(255),
  folder VARCHAR(255),
  text text,
  picture VARCHAR(255),
  view CHAR(3))
        ");  

$values=" (`id`, `id_folder`, `name`, `folder`, `text`,`picture`,`view`) VALUES
(1, 1, 'Главная', 'main', 'Настоящий ресурс Perl CMS представляет выдержки из книги С.Холзнера «Perl. Специальный справочник». Справочник содержит описание синтексиса Perl, множество примеров написания кода программ и кода
готовых решений,  уделяется много внимания CGI-программированию и связи между Perl и пакетом Tk, который обеспечивает с помощью Perl реализацию элементов графического интерфейса. <i>С.Холзнер</i>.','pictures/172229.jpg', 'yes'),
(2, 2, 'Основы Perl', 'basics_perl', 'Язык Perl был создан в 1986 году как инструмент для администрирования и конфигурирования системных ресурсов в сети, состоящей из Unix-компьютеров. Постепенно Perl (чья аббревиатура расшифровывается как Практический Язык для Извлечения текстов и Генерации отчетов (Practical Extraction and Reporting Language) эволюционировал в меж-платформенный язык и оказался в центре внимания процветающего кибернетического сообщества.\r\n<br><br>\r\nПопулярность Perl подпитывается программированием Common Gateway Interface (CGI-программированием), применяемого для операций по взаимодействию клиент/сервер в среде Web. Когда речь идет о создании Web-страниц, текстовая ориентированность языка становиться преимуществом. CGI-программирование на Perl представляет собой очень мощный инструмент.','pictures/175502.jpg', 'yes'),
(3, 3, 'Ссылки в Perl', 'links_perl', 'Ссылки это фундаментальный тип данных в Perl, впервые введенный для версии 5. Поведение ссылок в значительной мере напоминает поведение указателей в таких языках: как С. Как следует из названия, ссылка ссылается на элемент данных. Чтобы добраться до настоящих данных, надо разыменовать (dereference) ссылку.','pictures/172439.jpg', 'yes'),
(4, 4, 'Модули и пакеты', 'modules_packages', 'Модульность и защищенность — два великих принципа программирования. Perl обеспечивает их выполнение, предоставляя возможность разбивать программу на полу-автономные фрагменты (пакеты) так, что программисту не надо беспокоиться о конфликтах между ними и остальной частью программы. Для деления программы на независимые фрагменты используются пакеты Perl, которые создают непересекающиеся области имен (namespaces). Что такое область имен? Это часть программы со своей собственной областью видимости глобальных идентификаторов — другими словами, она функционирует как частная территория программиста.\r\n<br><br>\r\nКроме пакетов, существуют также модули Perl. Модули — это пакеты, организованные специальным образом. Их можно загружать или интегрировать с конкретной программой. Наконец, в Perl существуют также классы, которые являются основой объектно-ориентированного программирования.','pictures/3132_800x600.jpg', 'yes'),
(5, 5, 'Классы', 'classes', 'В Perl реализован неформализованный вариант объектно-ориентированного подхода, — по сути, все делаете своими руками. Объектно-ориентированное программирование здесь вращается вокруг нескольких ключевых понятий: классы, объекты, методы, наследование. Идея объектно-ориентированного программирования состоит в инкапсулировании данных и подпрограмм (называемых методами) в виде объектов. В результате каждый объект становится полу-автономным, приватным.\r\n<br><br>\r\nВ Perl, класс это пакет, который может обеспечивать методы. Метод это подпрограмма, встроенная в класс или объект. Метод использует ссылку на объект или имя класса, передаваемое ему в качестве первого аргумента. Объект — это ссылка на элемент данных. В отличие от других ссылок, этот элемент знает, к какому классу он относится. Объекты создаются через классы. И наконец наследование это процесс порождения одного класса (дочернего, или порожденного) из другого класса (базового, или родительского). В результате этого процесса дочерний класс может использовать методы родительского класса.','pictures/3075.jpg', 'yes')";

$dbh->do("INSERT INTO $_table $values");
#-------------------------------------------
print "<br>CREATE TABLE:  <b>$_table</b><br>Ok";
$dbh->disconnect; 
exit; 

